# Check trading availability

`GET /v3-node-0/status`

Returns the current status of the sequencer including lag, block info, and bundle counts

## Authorization



## Parameters



## Example · cURL

```bash
curl --request GET 'https://api.storm.tg/v3-node-0/status' \
  --header 'Accept: application/json'
```

## Example · JavaScript

```javascript
const response = await fetch("https://api.storm.tg/v3-node-0/status", {
  method: "GET",
  headers: {
    "Accept": "application/json"
  },
});
console.log(response.status, await response.text());
```

## Example · Python

```python
import requests

response = requests.request(
    "GET",
    "https://api.storm.tg/v3-node-0/status",
    headers={"Accept":"application/json"},
    timeout=30,
)
print(response.status_code, response.text)
```

## Response 200 · Trading.api.StatusResponse

**200** application/json — OK

Schema: Trading.api.StatusResponse

Type: object

Required fields: none

- active_shards (integer; optional)

active_shards example: 0

active_shards.Type: integer

- committed_bundles (integer; optional)

committed_bundles example: 0

committed_bundles.Type: integer

- confirmed_bundles (integer; optional)

confirmed_bundles example: 0

confirmed_bundles.Type: integer

- current_block (integer; optional)

current_block example: 0

current_block.Type: integer

- failed_bundles (integer; optional)

failed_bundles example: 0

failed_bundles.Type: integer

- finalizing_bundles (integer; optional)

finalizing_bundles example: 0

finalizing_bundles.Type: integer

- lag (integer; optional)

lag example: 0

lag.Type: integer

- last_processed_block (integer; optional)

last_processed_block example: 0

last_processed_block.Type: integer

- ok (boolean; optional)

ok example: true

ok.Type: boolean

- pending_bundles (integer; optional)

pending_bundles example: 0

pending_bundles.Type: integer

- pending_intents (integer; optional)

pending_intents example: 0

pending_intents.Type: integer

pending_intents.PendingIntents is the total async intake backlog (queued, not yet drained).

Example



```json
{
  "active_shards": 0,
  "committed_bundles": 0,
  "confirmed_bundles": 0,
  "current_block": 0,
  "failed_bundles": 0,
  "finalizing_bundles": 0,
  "lag": 0,
  "last_processed_block": 0,
  "ok": true,
  "pending_bundles": 0,
  "pending_intents": 0
}
```

## Response 500 · Trading.api.ErrorResponse

**500** application/json — Internal Server Error

Schema: Trading.api.ErrorResponse

Type: object

Required fields: none

- code (string; optional)

code example: string

code.Type: string

- error (string; optional)

error example: string

error.Type: string

- externalQueryId (string; optional)

externalQueryId example: string

externalQueryId.Type: string

- msg (string; optional)

msg example: string

msg.Type: string

Example



```json
{
  "code": "string",
  "error": "string",
  "externalQueryId": "string",
  "msg": "string"
}
```